Name: gnokii
Version: 0.5.5
Release: alt2

Summary: Unix tool suite for Nokia mobile phones
License: GPL
Group: Communications

Url: http://gnokii.org
Source0: ftp://ftp.gnokii.org/pub/gnokii/%name-%version.tar.bz2
Source1: %name.desktop
Patch0: %name-0.5.0pre5-htmlview.asp.patch
Patch1: %name-0.5.2-alt-lockdir.patch

Requires: lib%name = %version-%release

# Automatically added by buildreq on Tue Jul 08 2003
BuildRequires: XFree86-devel-static flex glib-devel gtk+-devel libbluez-devel xpm-devel

%add_optflags %optflags_shared

Summary(ru_RU.KOI8-R):      Nokia
Summary(uk_UA.KOI8-U): ̦  ͦ   Nokia

%description
Gnokii is a Unix tool suite for Nokia mobile phones.

You should be in 'uucp' group to use it with serial cables.

%description -l ru_RU.KOI8-R
Gnokii --       Nokia.

       
 'uucp'.

%description -l uk_UA.KOI8-U
Gnokii -- ̦  ͦ  ¦  Nokia.

 Φ  ̦    
 'uucp'.

%package -n lib%name
Summary: Library for gnokii
Group: System/Libraries

%description -n lib%name
You will need lib%name to run %name.

%package -n lib%name-devel
Summary: Development files for gnokii
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Install %name-devel if you want to develop or compile applications using
gnokii API.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--with-x \
	--enable-nls \
	--enable-security \
	--x-includes=%_x11includedir
%make

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/applications/%name.desktop
%__mkdir_p %buildroot%_sysconfdir
%__sed 's,/usr/local/sbin/,%_sbindir,g' \
	< Docs/sample/gnokiirc \
	> %buildroot%_sysconfdir/gnokiirc
%find_lang %name

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -f %name.lang
%doc TODO MAINTAINERS Docs/
%_bindir/*
%_sbindir/*
%_datadir/xgnokii
%_datadir/applications/*
%config(noreplace) %_sysconfdir/gnokiirc

%files -n lib%name
%_libdir/libgnokii.so.*

%files -n lib%name-devel
%_includedir/gnokii.h
%_includedir/gnokii/
%_libdir/libgnokii.so
%_libdir/pkgconfig/gnokii.pc

# TODO:
# - seperate gnokii/xgnokii? (is it worth the trouble?)

%changelog
* Tue Nov 11 2003 Michael Shigorin <mike@altlinux.ru> 0.5.5-alt2
- %optflags_shared

* Wed Oct 08 2003 Michael Shigorin <mike@altlinux.ru> 0.5.5-alt1
- 0.5.5 (minor feature enhancements)

* Tue Sep 23 2003 Michael Shigorin <mike@altlinux.ru> 0.5.4-alt1
- 0.5.4 (major bugfixes)
- enabled security options (e.g. PIN change)
- spec cleanup

* Tue Jul 08 2003 Michael Shigorin <mike@altlinux.ru> 0.5.2-alt1
- built for ALT Linux
- adapted from ASPLinux contribs (incl. patch and .desktop)
- package libification
- lockdir patch
- spec cleanup

* Mon Jun 16 2003 Leonid Kanter <leon@asplinux.ru>
- 0.5.2

* Wed Jun 11 2003 Leonid Kanter <leon@asplinux.ru>
- 0.5.1
- add gnokii-devel package
- build with bluetooth support

* Wed Mar 05 2003 Leonid Kanter <leon@asplinux.ru>
- rewrote spec (fix permissions)
- create desktop file

* Fri Feb 07 2003 Hugo Monteiro <hmmm@fct.unl.pt>
- rebuilt for version 0.5.0pre5
- spec file cleanup

* Fri Sep 06 2002 Hugo Monteiro <hmmm@fct.unl.pt>
- rebuilt for version 0.4.3

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- update to 0.3.2
- fix non-standard-gid (Bug #15041)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- initial RPM for powertools 6.2
